be.fgov.ehealth.technicalconnector.ra.domain

## Class ForeignerRequest

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.ra.domain.Request
  - - be.fgov.ehealth.technicalconnector.ra.domain.ForeignerRequest

- All Implemented Interfaces:
    Serializable

      public final class ForeignerRequest
      extends Request
      implements Serializable

  Represents a request to submit a CSR for a foreigner.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForeignerRequest(Actor foreignPerson, ContactData contactData, byte[] csr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ContactData` | `getContactData()`
    `byte[]` | `getCsr()`
    `Actor` | `getForeignPerson()`
    `int` | `hashCode()`

    - ### Methods inherited from class be.fgov.ehealth.technicalconnector.ra.domain.Request

      `getId, getRequestor`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForeignerRequest

          public ForeignerRequest(Actor foreignPerson,
                                  ContactData contactData,
                                  byte[] csr)
                           throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

  - ### Method Detail

    - #### getForeignPerson

          public Actor getForeignPerson()

    - #### getContactData

          public ContactData getContactData()

    - #### getCsr

          public byte[] getCsr()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Request`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Request`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.